%define betaver 0
%define rel 11.git3f52703

%if %betaver
%define release %mkrel -c %betaver %rel
%define tarballver %version.%betaver
%else
%define release %mkrel %rel
%define tarballver %version
%endif


Summary:	An input method server for traditional Chinese
Name:		hime
Version:	0.9.10
Release:	%{release}
License:	LGPLv2.1
URL: 		http://hime.luna.com.tw/
Group:		System/Internationalization
Source0:	%{name}-master.tar.xz
BuildRequires:	libxtst-devel
BuildRequires:	gtk+2-devel
BuildRequires:	gtk+3-devel
BuildRequires:	qt4-devel
BuildRequires:	anthy-devel
BuildRequires:	libchewing-devel
BuildRequires:	qt5gui-private-devel
BuildRequires:	qt5platformsupport-devel
BuildRequires:	qt5dbus-devel
Recommends:	%{name}-gtk2 = %{version}-%{release}
Recommends:	%{name}-gtk3 = %{version}-%{release}
Requires:	locales-zh


%description
hime is a Chinese input method server for traditional Chinese. 
It features a better GTK user interface.


%package	gtk2
Summary:	gtk2 immodule for hime
Group:		System/Internationalization
Requires:	%name = %{version}-%{release}
Requires(post):	gtk+2.0
Requires(postun): gtk+2.0

%description	gtk2
This is the gtk2 immodule support for hime.

%package	gtk3
Summary:	gtk3 immodule for hime
Group:		System/Internationalization
Requires:	%name = %{version}-%{release}
Requires(post):	gtk+3.0
Requires(postun): gtk+3.0

%description	gtk3
This is the gtk3 immodule support for hime.

%package        qt4
Summary:        Qt4 immodule for hime
License:	GPLv2
Group:          System/Internationalization
Requires:       %name = %{version}-%{release}

%description    qt4
This is the qt4 immodule support for hime.

%package        qt5
Summary:        Qt5 immodule for hime
License:	GPLv2
Group:          System/Internationalization
Requires:       %name = %{version}-%{release}

%description    qt5
This is the qt5 immodule support for hime.

%package        anthy
Summary:        Anthy module for hime
Group:          System/Internationalization
Requires:       %name = %{version}-%{release}
Requires:			anthy
Conflicts:	hime < 0.9.10

%description    anthy
This is the anthy input method support for hime.

%package        chewing
Summary:        Chewing module for hime
Group:          System/Internationalization
Requires:       %name = %{version}-%{release}
Conflicts:	hime < 0.9.10

%description    chewing
This is the chewing input method support for hime.

%prep
%setup -q -n %{name}-master
%apply_patches

%build
%define _disable_ld_no_undefined 1
%configure2_5x --qt4-im-module-path=%{qt4plugins}/inputmethods --qt5-im-module-path=%{_qt5_plugindir}/platforminputcontexts 
# (tv) disable parallel build (broken):
make OPTFLAGS="%{optflags} -fPIC" EXTRA_LDFLAGS="%{?ldflags}" CC="gcc %{?ldflags}" CCLD="gcc %{?ldflags}"

%install
# fix installing in proper path on x86_64:
%make_install libdir=%buildroot%_libdir
rm -fr %buildroot%_docdir/
rm -fr %buildroot%_libdir/menu/

# remove unneeded files
rm -rf %{buildroot}/%{_includedir}

%{find_lang} %{name}

%post gtk2
# install gtk IM module
gtk-query-immodules-2.0 --update-cache
 
%postun gtk2
gtk-query-immodules-2.0 --update-cache
 
%post gtk3
gtk-query-immodules-3.0-%{__isa_bits} --update-cache
 
%postun gtk3
gtk-query-immodules-3.0-%{__isa_bits} --update-cache 

%files anthy
%{_libdir}/hime/anthy-module.so

%files chewing
%{_libdir}/hime/chewing-module.so

%files -f %{name}.lang
%doc AUTHORS README*
%{_bindir}/*
%{_datadir}/applications/hime-setup.desktop
%{_datadir}/hime
%{_datadir}/pixmaps/*
%{_mandir}/man?/*
%{_libdir}/hime/*

%files gtk2
%{_libdir}/gtk-2.0/2.10.0/immodules/*.so

%files gtk3
%{_libdir}/gtk-3.0/3.0.0/immodules/*.so

%files qt4
%{qt4plugins}/inputmethods/*.so

%files qt5
%{_qt5_plugindir}/platforminputcontexts/*.so

%changelog
* Wed Aug 17 2016 yochenhsieh <yochenhsieh> 0.9.10-11.git3f52703.mga6
+ Revision: 1046705
- Update to latest git for bugfixes
- Remove qt patch (merged upstream)

* Thu Mar 31 2016 yochenhsieh <yochenhsieh> 0.9.10-10.git130aa0b.mga6
+ Revision: 997114
- Git snapshot for better Qt5 and plasma support.

* Tue Feb 02 2016 umeabot <umeabot> 0.9.10-9.mga6
+ Revision: 931125
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.10-8.mga5
+ Revision: 746686
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.10-7.mga5
+ Revision: 680149
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sun Jul 20 2014 colin <colin> 0.9.10-6.mga5
+ Revision: 654752
- Drop RPM scripts for immodules (handled by filetriggers)

* Tue May 06 2014 yochenhsieh <yochenhsieh> 0.9.10-5.mga5
+ Revision: 620375
- Alter gtk-query-immodules-2.0 command to fix bug 8731.

* Fri Oct 18 2013 umeabot <umeabot> 0.9.10-4.mga4
+ Revision: 505504
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.10-3.mga3
+ Revision: 353269
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 21 2012 fwang <fwang> 0.9.10-2.mga3
+ Revision: 333574
- add missing requires

* Wed Jul 18 2012 yochenhsieh <yochenhsieh> 0.9.10-1.mga3
+ Revision: 272210
- New version 0.9.10
- Split anthy & chewing modules as sub-packages.

* Wed Apr 18 2012 yochenhsieh <yochenhsieh> 0.9.9-5.mga2
+ Revision: 231297
- Remove Suggests on qt4 immodule, let localedrake handle it.
- Add Requires(post) & Requires(postun) for gtk2 & gtk3 im modules

* Thu Feb 16 2012 yochenhsieh <yochenhsieh> 0.9.9-4.mga2
+ Revision: 209579
- Update License: LGPLv2.1 (Qt immodules are GPLv2)
- Suggests gtk2 & gtk3 im modules install by default

* Sun Jan 29 2012 yochenhsieh <yochenhsieh> 0.9.9-3.mga2
+ Revision: 202815
- Change qt4 moc path.
- fix spec errors.
  build gtk2 im module package.
- imported package hime

